%define usecache 0
%define cache /var/cache/man

Summary: A set of documentation tools: man, apropos and whatis.
Name: man
Version: 1.6c
Release: 2.fc5
License: GPL
Group: System Environment/Base
Source0: http://primates.ximian.com/~flucifredi/man/man-%{version}.tar.gz
Source1: makewhatis.cronweekly
Source2: makewhatis.crondaily
Source3: mess.ru
Patch1: man-1.5m2-confpath.patch
Patch2: man-1.5h1-make.patch
Patch6: man-1.5m2-apropos.patch
Patch7: man-1.5m2-lc_all.patch
Patch10: man-1.5m2-i18n_makewhatis.patch
Patch12: man-1.5m2-posix.patch
Patch13: man-1.5p-makewhatis2.patch
Patch14: man-1.5p-makewhatis3.patch
Patch15: man-1.5p-mandirlist.patch
Patch16: man-1.5p-man2html.patch
Patch18: man-1.5p-pipe_makewhatis.patch
Patch19: man-1.5p-sec.patch
Patch20: man-1.5p-xorg.patch
Patch21: man-1.6b-i18n_nroff.patch
Patch22: man-1.6b-man-pages.patch
Patch23: man-1.6b-rpm.patch

Buildroot: %{_tmppath}/%{name}-root
PreReq: coreutils
Requires: less, groff >= 1.18, nroff-i18n, findutils, mktemp >= 1.5-2.1.5x
Requires: bzip2, gzip, diffutils, rpm
BuildRequires: less, groff, diffutils, bzip2, gzip, coreutils

%description
The man package includes three tools for finding information and/or
documentation about your Linux system: man, apropos, and whatis. The
man system formats and displays on-line manual pages about commands or
functions on your system. Apropos searches the whatis database
(containing short descriptions of system commands) for a string.
Whatis searches its own database for a complete word.

The man package should be installed on your system because it is the
primary way to find documentation on a Linux system.

%prep
%setup -q
%patch1 -p1 -b .confpath
%patch2 -p1 -b .make
%patch6 -p1 -b .apropos
%patch7 -p1 -b .lc_all
%patch10 -p1 -b .i18n_makewhatis
%patch12 -p1 -b .posix
%patch13 -p1 -b .trap
%patch14 -p1 -b .update
%patch15 -p1 -b .lang
%patch16 -p1 -b .man2html
%patch18 -p1 -b .pipe
%patch19 -p1 -b .sec
%patch20 -p1 -b .xorg
%patch21 -p1 -b .i18n_nroff
%patch22 -p1 -b .up 
%patch23 -p1 -b .rpm

cp -f %{SOURCE3} msgs	# replace bad ru trans

for src in $(find msgs -type f -name 'mess.[a-z][a-z]'); do
   lang=$(echo ${src} | sed -r 's;.*([a-z]{2})$;\1;')
   if   [ ${lang} = ja ]; then charset=euc-jp
   elif [ ${lang} = ko ]; then charset=euc-kr
   elif [ ${lang} = ru ]; then charset=koi8-r
   elif [ ${lang} = da ]; then charset=iso-8859-1
   elif [ ${lang} = de ]; then charset=iso-8859-1
   elif [ ${lang} = en ]; then charset=iso-8859-1
   elif [ ${lang} = es ]; then charset=iso-8859-1
   elif [ ${lang} = fi ]; then charset=iso-8859-1
   elif [ ${lang} = fr ]; then charset=iso-8859-1
   elif [ ${lang} = it ]; then charset=iso-8859-1
   elif [ ${lang} = pt ]; then charset=iso-8859-1
   elif [ ${lang} = nl ]; then charset=iso-8859-1
   elif [ ${lang} = cs ]; then charset=iso-8859-2
   elif [ ${lang} = hr ]; then charset=iso-8859-2
   elif [ ${lang} = pl ]; then charset=iso-8859-2
   elif [ ${lang} = ro ]; then charset=iso-8859-2
   elif [ ${lang} = sl ]; then charset=iso-8859-2
   elif [ ${lang} = bg ]; then charset=cp1251
   elif [ ${lang} = el ]; then charset=iso-8859-7
   else
      echo === LANGUAGE ${lang}: MUST SPECIFY CHARSET/ENCODING
      exit 1
   fi
   iconv -t utf-8 -f ${charset} -o ${src}.utf ${src} && mv ${src}.utf ${src}
done

%build
./configure -default -confdir /etc +fhs +lang all

find . -type f|xargs perl -pi -e 's,man\.conf \(5\),man.config (5),g'
for i in $(find man -name man.conf.man); do
   mv $i ${i%man.conf.man}man.config.5
done

# HACK: Make output default to using -c; otherwise it appears broken.
perl -pi -e "s/nroff /nroff -c /" conf_script

touch Makefile	# make sure Make thinks we ran configure
make CC="gcc $RPM_OPT_FLAGS"
%if %{usecache}
perl -pi -e "s,^NOCACHE,# NOCACHE,g" src/man.conf
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/cron.{daily,weekly}
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_sbindir}
make install PREFIX=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc

for src in $(find man -type f -name '*.[1-9n]'); do
   lang=$(echo ${src} | sed -r 's;.*/([a-z]{2})/.*;\1;')
   page=$(basename ${src})
   sect=$(echo ${page} | sed -r 's;.*([1-9n])$;man\1;')
   dir=${RPM_BUILD_ROOT}%{_mandir}
   if   [ ${lang} = ja ]; then charset=euc-jp
   elif [ ${lang} = ko ]; then charset=euc-kr
   elif [ ${lang} = da ]; then charset=iso-8859-1
   elif [ ${lang} = de ]; then charset=iso-8859-1
   elif [ ${lang} = en ]; then charset=iso-8859-1
   elif [ ${lang} = es ]; then charset=iso-8859-1
   elif [ ${lang} = fi ]; then charset=iso-8859-1
   elif [ ${lang} = fr ]; then charset=iso-8859-1
   elif [ ${lang} = it ]; then charset=iso-8859-1
   elif [ ${lang} = pt ]; then charset=iso-8859-1
   elif [ ${lang} = nl ]; then charset=iso-8859-1
   elif [ ${lang} = cs ]; then charset=iso-8859-2
   elif [ ${lang} = hr ]; then charset=iso-8859-2
   elif [ ${lang} = pl ]; then charset=iso-8859-2
   elif [ ${lang} = ro ]; then charset=iso-8859-2
   elif [ ${lang} = sl ]; then charset=iso-8859-2
   elif [ ${lang} = bg ]; then charset=cp1251
   elif [ ${lang} = el ]; then charset=iso-8859-7
   else
      echo === LANGUAGE ${lang}: MUST SPECIFY CHARSET/ENCODING
      exit 1
   fi
   mkdir -p ${dir}/${lang}/${sect}
   iconv -t utf-8 -f ${charset} -o ${dir}/${lang}/${sect}/${page} ${src}

   # ensure POSIX/C locale only has ASCII subset and no latin-1 
   if [ ${lang} = en ]; then
      mkdir -p ${dir}/${sect}
      iconv -t ascii//translit -f ${charset} -o ${dir}/${sect}/${page} ${src}
   fi
done

install -m 644 src/man.conf $RPM_BUILD_ROOT/etc/man.config

install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis.cron
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/makewhatis.cron

mkdir -p $RPM_BUILD_ROOT/%{cache}

mkdir -p $RPM_BUILD_ROOT/%{cache}/local
mkdir -p $RPM_BUILD_ROOT/%{cache}/X11R6
for i in 1 2 3 4 5 6 7 8 9 n; do
	mkdir -p $RPM_BUILD_ROOT/%{cache}/cat$i
	mkdir -p $RPM_BUILD_ROOT/%{cache}/local/cat$i
	mkdir -p $RPM_BUILD_ROOT/%{cache}/X11R6/cat$i
done

#strip $RPM_BUILD_ROOT/usr/bin/man 

# added man2html stuff
cd man2html
make install DESTDIR=$RPM_BUILD_ROOT
#strip -R .comment $RPM_BUILD_ROOT/usr/bin/man2html

for src in $(find $RPM_BUILD_ROOT%{_mandir} -type f -name '*.[1-9n]'); do
   gzip -9 ${src}
done

# symlinks for manpath
( cd $RPM_BUILD_ROOT
  ln -s man ./usr/bin/manpath
  ln -s man.1.gz .%{_mandir}/man1/manpath.1.gz
)

# move makewhatis, allow others to execute
#mv $RPM_BUILD_ROOT%{_sbindir}/makewhatis $RPM_BUILD_ROOT%{_bindir}
#chmod a+x $RPM_BUILD_ROOT%{_bindir}/makewhatis

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_bindir}/man2dvi
rm -rf $RPM_BUILD_ROOT%{_prefix}/etc

%preun
rm -f %{cache}/cat[123456789n]/* 2>/dev/null || :
rm -f %{cache}/local/cat[123456789n]/* 2>/dev/null || :
rm -f %{cache}/X11R6/cat[123456789n]/* 2>/dev/null || :
rm -f %{cache}/whatis 2>/dev/null || :

%triggerpostun -- man <= 1.5i2-0
rm -f %{cache}/cat[123456789n]/* 2>/dev/null || :
rm -f %{cache}/local/cat[123456789n]/* 2>/dev/null || :
rm -f %{cache}/X11R6/cat[123456789n]/* 2>/dev/null || :
rm -f %{cache}/whatis 2>/dev/null || :
exit 0


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/cron.weekly/makewhatis.cron
%config /etc/cron.daily/makewhatis.cron
%if %{usecache}
%attr(2755,root,man)	/usr/bin/man
%else
%attr(0755,root,root)   /usr/bin/man
%endif
/usr/bin/manpath
/usr/bin/apropos
/usr/bin/whatis
/usr/sbin/makewhatis
%config(noreplace) /etc/man.config
%{_mandir}/man5/man.config.5*
%{_mandir}/man1/whatis.1*
%{_mandir}/man1/man.1*
%{_mandir}/man1/manpath.1*
%{_mandir}/man1/apropos.1*
%{_mandir}/man1/man2html.1*
%{_mandir}/man8/makewhatis.8*
/usr/bin/man2html
%lang(bg) %dir /usr/share/locale/bg
%lang(bg) /usr/share/locale/bg/man
%lang(bg) %dir /usr/share/man/bg
%lang(bg) /usr/share/man/bg/man?/*
%lang(cs) %dir /usr/share/locale/cs
%lang(cs) /usr/share/locale/cs/man
%lang(cs) %dir /usr/share/man/cs
%lang(cs) /usr/share/man/cs/man?/*
%lang(da) %dir /usr/share/locale/da
%lang(da) /usr/share/locale/da/man
%lang(da) %dir /usr/share/man/da
%lang(da) /usr/share/man/da/man?/*
%lang(de) %dir /usr/share/locale/de
%lang(de) /usr/share/locale/de/man
%lang(de) %dir /usr/share/man/de
%lang(de) /usr/share/man/de/man?/*
%lang(el) %dir /usr/share/locale/el
%lang(el) /usr/share/locale/el/man
%lang(el) %dir /usr/share/man/el
%lang(el) /usr/share/man/el/man?/*
%lang(en) %dir /usr/share/locale/en
%lang(en) /usr/share/locale/en/man
%lang(en) %dir /usr/share/man/en
%lang(en) /usr/share/man/en/man?/*
%lang(es) %dir /usr/share/locale/es
%lang(es) /usr/share/locale/es/man
%lang(es) %dir /usr/share/man/es
%lang(es) /usr/share/man/es/man?/*
%lang(fi) %dir /usr/share/locale/fi
%lang(fi) /usr/share/locale/fi/man
%lang(fi) %dir /usr/share/man/fi
%lang(fi) /usr/share/man/fi/man?/*
%lang(fr) %dir /usr/share/locale/fr
%lang(fr) /usr/share/locale/fr/man
%lang(fr) %dir /usr/share/man/fr
%lang(fr) /usr/share/man/fr/man?/*
%lang(hr) %dir /usr/share/locale/hr
%lang(hr) /usr/share/locale/hr/man
%lang(hr) %dir /usr/share/man/hr
%lang(hr) /usr/share/man/hr/man?/*
%lang(it) %dir /usr/share/locale/it
%lang(it) /usr/share/locale/it/man
%lang(it) %dir /usr/share/man/it
%lang(it) /usr/share/man/it/man?/*
%lang(ja) %dir /usr/share/locale/ja
%lang(ja) /usr/share/locale/ja/man
%lang(ja) %dir /usr/share/man/ja
%lang(ja) /usr/share/man/ja/man?/*
%lang(ko) %dir /usr/share/locale/ko
%lang(ko) /usr/share/locale/ko/man
%lang(ko) %dir /usr/share/man/ko
%lang(ko) /usr/share/man/ko/man?/*
%lang(nl) %dir /usr/share/locale/nl
%lang(nl) /usr/share/locale/nl/man
%lang(nl) %dir /usr/share/man/nl
%lang(nl) /usr/share/man/nl/man?/*
%lang(pl) %dir /usr/share/locale/pl
%lang(pl) /usr/share/locale/pl/man
%lang(pl) %dir /usr/share/man/pl
%lang(pl) /usr/share/man/pl/man?/*
%lang(pt) %dir /usr/share/locale/pt
%lang(pt) /usr/share/locale/pt/man
%lang(pt) %dir /usr/share/man/pt
%lang(pt) /usr/share/man/pt/man?/*
%lang(ro) %dir /usr/share/locale/ro
%lang(ro) /usr/share/locale/ro/man
%lang(ro) %dir /usr/share/man/ro
%lang(ro) /usr/share/man/ro/man?/*
%lang(sl) %dir /usr/share/locale/sl
%lang(sl) /usr/share/locale/sl/man
%lang(sl) %dir /usr/share/man/sl
%lang(sl) /usr/share/man/sl/man?/*
%lang(ru) %dir /usr/share/locale/ru
%lang(ru) /usr/share/locale/ru/man
%attr(0755,root,root)	%dir %{cache}
%attr(0775,root,man)	%dir %{cache}/cat[123456789n]
%attr(0775,root,man)	%dir %{cache}/local
%attr(0775,root,man)	%dir %{cache}/local/cat[123456789n]
%attr(0775,root,man)	%dir %{cache}/X11R6
%attr(0775,root,man)	%dir %{cache}/X11R6/cat[123456789n]

%changelog
* Mon Apr 03 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon Feb 27 2006 Ivana Varekova <varekova@redhat.com> - 1.6c-2.fc5
- fix the encoding of the Bulgarian translation  

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.6c-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.6c-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Feb 02 2006 Florian La Roche <laroche@redhat.com>
- 1.6c

* Tue Dec 13 2005 Ivana Varekova <varekova@redhat.com> 1.6b-2
- makewhatis change - add info about packages (bug 175595)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Nov 10 2005 Ivana Varekova <varekova@redhat.com> 1.6b-1
- update to 1.6b

* Mon Oct 31 2005 Ivana Varekova <varekova@redhat.com> 1.5p-7
- add ?x sections to MANSECT variable (bug 172002) 

* Tue May 17 2005 Ivana Varekova <varekova@redhat.com> 1.5p-6
- change patch 18 (less hard solution) and 
  patch 13 (don't change exit number in one case)

* Wed Apr 13 2005 Ivana Varekova <varekova@redhat.com> 1.5p-5
- fix bug 146849 - makewhatis from cron produce error message
  "zcat: stdout: Broken pipe" (patch 18)
- fix makewhatis problem with sections (patch 19)
- delete strips

* Thu Mar 29 2005 Ivana Varekova <varekova@redhat.com> 1.5p-4
- fix bug 140732 in man pages and the rest of bug 140207 change 
   in man-pages again (patch 17)

* Thu Mar 22 2005 Ivana Varekova <varekova@redhat.com> 1.5p-3
- fix bug 142673 - bugs in man2html

* Thu Mar 16 2005 Ivana Varekova <varekova@redhat.com> 1.5p-2
- fix bug 140178 - correct one typo 
- fix bug 140202 - problem with makewhatis exit (patch 13)
- fix bug 140207 - problem with makewhatis -u  (patch 14)
  the fixed version update information about man-pages which 
  are less then one day old (it is used in day update)
  (man-pages may be fixed)
- fix bug 140729 - makewhatis removed to /usr/sbin  
- fix bug 146631 - two-part locale dir-name is support (patch 15)
- changed makewhatis version

* Mon Mar  7 2005 Ivana Varekova <varekova@redhat.com> 1.5p-1
- rebuilt new version #147716

* Fri Mar  4 2005 Ivana Varekova <varekova@redhat.com> 1.5m2-13
- rebuilt 

* Mon Feb 14 2005 Adrian Havill <havill@redhat.com>
- rebuilt

* Tue Oct 13 2004 Adrian Havill <havill@redhat.com> 1.5m2-9
- make sure we touch Makefile timestamp so make doesn't get
  confused and think we haven't run configure
- replace russian messages (#134387) Thanks to Leonid Kanter

* Sun Aug 1 2004 Alan Cox <alan@redhat.com>
- Fix requirements (#126601)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Mar 31 2004 Adrian Havill <havill@redhat.com> 1.5m2-6
- reorder MANSECT so that normal pages (with translations) take
  precedence over the English-only POSIX pages (#119554)

* Wed Mar 24 2004 Adrian Havill <havill@redhat.com> 1.5m2-5
- force use of /usr/bin/gunzip and not /bin/gunzip for compatibility
  with rescue environments (#118087)
- add POSIX sections to MANSECT in man.config, giving preference to the
  POSIX pages over the non-POSIX

* Fri Mar 12 2004 Adrian Havill <havill@redhat.com> 1.5m2-4
- direct nroff stderr to /dev/null so no broken pipe err msgs appear
  when the user quits an error page prior to the full display (#117463)
- removed bogus whatis search-n-destroy trigger (#117961)
- don't complain about no lang resource when lang is C/POSIX (#108934)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 09 2004 Adrian Havill <havill@redhat.com> 1.5m2-2
- add all locale man pages
- convert all msgs and manpages to utf-8
- downconvert via transliteration C locale man pages just in case
- patch #3, #8, #10, #17, #29, #31 no longer needed-- made it upstream
- patch #9, #14 and #19 now superfluous-- strs already termed and len checked
- disable patch #22: defer cat creation to existence of dir, not conf directive
- patch #32 mostly merged upstream. Keep the "-a" in grep though so all
  locales' grep see man pages as text not binary (patch 37)
- iconv patch no longer needed now that utf-8-to-legacy conversion is not
  needed
- patch #52 and #53 not needed: CJK all point to nroff instead of groff, let
  the nroff script decide, based on the charset of the environment and/or the
  charset of the man page, as to what parameters to pass to groff (and
  whether iconv preprocessing is necessary)
- the string "NROFF_OLD_CHARSET", if present in the man.config for the NROFF
  path, will now be replaced by the old character set so that nroff can figure
  out what the character set/encoding is
- fix man to reflect status codes returned by forked child processes (#115204)
- lots of makewhatis changes: re-add custom rh client stuff (/usr/bin vs
  /usr/sbin), -o option, /var/cache/man, utf-8 verification, convert the
  encoding spaghetti in the makewhatis awk script to UTF-8, identify languages
  in comments

* Thu Oct 09 2003 Adrian Havill <havill@redhat.com> 1.5k-12
- restore russian locale (#81929)
- force utf locale with jnroff (#105764)
- don't let awk in makewhatis scan files that aren't man pages (#105594)

* Wed Oct 01 2003 Adrian Havill <havill@redhat.com> 1.5k-11
- Use UTF-8 in makewhatis when searching for non-English versions of the
  phrase "NAME" in man pages
- add "-o" option to makeis to specify an alternate whatis db location
- move makewhatis from /sbin to /usr/bin, chmod o+x it as the whatis db is
  writable only by root anyway

* Wed Aug 20 2003 Adrian Havill <havill@redhat.com> 1.5k-10
- added auto-detect for utf8 and conversion to allow gripes() and others
  to correctly output to some charsets (#88605)

* Fri Aug 08 2003 Adrian Havill <havill@redhat.com> 1.5k-9
- cleaned up apropos script bugs (#97006)
- merged all apropos changes into one cleaner patch
- fix the search/replace for man.conf

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 1.5k-7
- fix build with gcc 3.3

* Mon Feb 10 2003 Adrian Havill <havill@redhat.com> 1.5k-6
- added patch for korean (#83934)

* Thu Feb 06 2003 Adrian Havill <havill@redhat.com> 1.5k-5
- marked man.config as noreplace %config (#82088)
- moved man.config from /usr/share to /etc even though +fhs (#81964)
- removed bad argcat patch which made bogus grep queries (#82684)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 13 2003 Adrian Havill <havill@redhat.com> 1.5k-2
- bump version from j to k
- adjust patches to reflect upstream integration

* Wed Jan  8 2003 Adrian Havill <havill@redhat.com> 1.5j-16
- require groff 1.18 because prev vers don't have -c getopt (#77847)
- added /usr/local/share/man to MANPATH (#65467)

* Mon Jan  6 2003 Adrian Havill <havill@redhat.com> 1.5j-14
- don't run trojan sh cmd that have unsafe chars munged (#79289)
- made apropos command more robust (#62606)

* Tue Dec 10 2002 Joe Orton <jorton@redhat.com> 1.5j-13
- include makewhatis.8 (#65511)

* Fri Nov 22 2002 Tim Powers <timp@redhat.com>
- remove unpackaged files from the buildroot

* Tue Sep 03 2002 Karsten Hopp <karsten@redhat.de> 1.5j-11
- fix segfault when running  'man --' (#73212)

* Mon Sep  2 2002 Bill Nottingham <notting@redhat.com> 1.5j-10
- use nroff -c

* Fri Jul 12 2002 Phil Knirsch <pknirsch@redhat.com> 1.5j-9
- Changed output of groff to latin1 instead of utf8 as utf8 seems to be broken
  ATM.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.5j-8
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 1.5j-7
- automated rebuild

* Mon Mar 25 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.5j-6
- Fix bugs #60676 and #61105
- Add /usr/local/man and /usr/X11R6/man to makewhatis default paths


* Tue Feb 26 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.5j-5
- Fix up filename quoting in makewhatis (#60289)

* Mon Feb 25 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.5j-3
- Fix bugs #60131, #60088
- Don't send makewhatis output to /dev/tty (#60285)

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Nov 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.5j-1
- Update to 1.5j

* Fri Aug 31 2001 Trond Eivind Glomsrd <teg@redhat.com> 1.5i2-6
- set LC_CTYPE, not just LC_MESSAGES. That way, the messages 
  requested can also be displayed (#52978)

* Mon Aug 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.5i2-5
- Make sure the trigger exits cleanly (#51940)

* Wed Jul 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.5i2-4
- Don't create warnings on fresh installs

* Tue Jul 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.5i2-3
- Restore /var/cache/man directories even if we've built without usecache.
  This allows users to enable catman caching manually (#48762) and shuts
  up tmpwatch (#47784 and its 1000 duplicates)

* Wed Jul  3 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.5i2-2
- Fix makewhatis interoperability with gawk 3.1.x (#46405)
- Fix initial creation of whatis database if makewhatis is run with "-u"
  even then (e.g. by cron) (#45646)
- Fix #45827
- Require current mktemp (#43134)
- Fix #42915
- Fix paths on old distributions (#42031)

* Sun Jun 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.5i2-1
- 1.5i2

* Thu Jun 07 2001 Harald Hoyer <harald@redhat.de> 1.5i-9
- Some fixes for secure pathnames
- remove cache directories
- remove sgid
- fixed man.1 to refer to man.config(5)
- fixed makewhatis

* Thu May 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.5i-8
- Some fixes to legacy path support

* Mon May 28 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.5i-7
- Fix up another buffer overrun (#42450)
- Add "`" and "$(" to the list of illegal filename parts in makewhatis (#42450)
- Add a define toggle to build 5.x and 6.x errata correctly (#42031, #42192)
- 
* Thu May 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.5i-6
- Fix up potential GID man -> root exploit (#41805)

* Thu May 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.5i-5
- Fix up support for UTF-8 locales (#39139)

* Sun May 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.5i-4
- More workarounds for "detecting" stuff that isn't in the build roots

* Sun May  6 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.5i-3
- Fix up makewhatis (#39217)

* Mon Apr 30 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.5i-2
- break the configure script. We want man to use less even though it
  can't be found at build time.

* Tue Apr 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.5i-1
- 1.5i (Fixes #23258, #31805, #33276)
- Fix apropos and whatis for pages that contain non-ascii characters (#21619)
- Look for legacy whatis databases in $manpath (#33897)

* Sun Feb  4 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Require findutils for makewhatis (Bug #25615)

* Fri Jan 19 2001 Jeff Johnson <jbj@redhat.com>
- Use PreReq: not Requires(post,preun).

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- s/Prereq/Requires(post,preun)/ (this should fix #22775)

* Fri Dec 29 2000 Bill Nottngham <notting@redhat.com>
- tweak prereqs

* Mon Dec 18 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese patches.

* Mon Dec 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Requires(preun,post) fileutils

* Thu Oct 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix yet another security problem (MANSECT overrun), Bug #19351

* Thu Oct 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix trailing garbage when a man page doesn't end with a newline (Bug #9026)
- Look for files in other man directories if the first match isn't
  accessible (Bug #10254)

* Mon Oct  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move whatis database to %{cache}/whatis to allow read-only /usr
  filesystems (Bug #18383)
- Don't use predictable filenames in makewhatis (not reported, spotted while
  fixing 18383)

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add internationalization support, based on patch from noa@noa.tm (Bug #7680)

* Wed Aug 23 2000 Tim Powers <timp@redhat.com>
- fix bad man path for makewhatis in bug #16754

* Tue Aug 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up .so handling in some odd cases (Bug #16171)

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up the fix for #14278, this fixes #11621 as well.

* Thu Jul 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of random <AD>s (Bug #14278, thanks, Tim)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Bill Nottingham <notting@redhat.com>
- makewhatis makes predicatable filenames in /tmp. Bad.

* Mon Jun 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- gzip the man pages manually - since file doesn't recognize them as
  man pages, the build root policy doesn't do it (Bug #12015)

* Tue May 16 2000 Preston Brown <pbrown@redhat.com>
- default man path is now %{_mandir}.  /usr/man maintained for compat.
- remove +sgid option to allow builds as a normal user.  SPEC file maintains
  proper permissions.

* Wed Mar  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add kerberos man paths to man.config (Bug #11168 + extra fixes)

* Tue Feb 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.5h1 - this has a better fix for the security problems.
- remove manpath patch (now in base)
- remove loop patch (now in base)

* Mon Feb 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix security problems related to buffer overruns caused by oversized
  enviroment variables

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- deal with rpm gziping man pages
- fix file locking (Bug #8947)

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip man2html

* Fri Sep 10 1999 Cristian Gafton <gafton@redhat.com>
- revert to latin1 instead of ascii

* Wed Jun 16 1999 Cristian Gafton <gafton@redhat.com>
- fixed man2html loop on terminfo.5 (patrch from the author; #3316)

* Mon May 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed #2532 by adding /usr/local/sbin as a MANPATH_MAP

* Fri Apr 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- cron.weekly rebuilds, cron.daily updates in minimal time

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- man 1.5g bugfix release

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- add manpath symlinks (#1138).

* Fri Feb 12 1999 Michael Maher <mike@redhat.com>
- fixed bug #792
- added man2html files

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- upgraded to 1.5e
- properly buildrooted

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- enable fsstnd organization
- change /var/catman/X11 to X11R6
- %post/%preun to clean up cat litter

* Tue Jun 02 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue Jun 02 1998 Erik Troan <ewt@redhat.com>
- you can't do free(malloc(10) + 4) <sigh>

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5d

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.5a

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- uses a build root

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to man-1.4j, which fixes some security problems; release 1 is
  for RH 4.2, release 2 is for glibc
 
* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Added /usr/lib/perl5/man to default manpath
